{
	"$schema": "https://schemas.wp.org/wp/6.7/theme.json",
	"version": 3,
	"settings": {
		"layout": {
			"contentSize": "var(--nishiki-pro-site-content-width)",
			"wideSize": "var(--nishiki-pro-site-wide-width)"
		},
		"appearanceTools": true,
		"useRootPaddingAwareAlignments": true,
		"color": {
			"defaultPalette": false,
            "custom": true,
            "customDuotone": true
        },
		"blocks": {
			"core/image": {
				"lightbox": {
					"enabled": false,
					"allowEditing": true
				}
			}
		},
		"typography": {
			"writingMode": true
		},
		"shadow": {
			"presets": [
				{
					"name": "Small(Nishiki Pro)",
					"slug": "nishiki-pro-shadow-sm",
					"shadow": "0 1px 2px 0 rgba(0, 0, 0, 0.05)"
				},
				{
					"name": "Normal(Nishiki Pro)",
					"slug": "nishiki-pro-shadow",
					"shadow": "0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px -1px rgba(0, 0, 0, 0.1)"
				},
				{
					"name": "Medium(Nishiki Pro)",
					"slug": "nishiki-pro-shadow-md",
					"shadow": "0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -2px rgba(0, 0, 0, 0.1)"
				},
				{
					"name": "Large(Nishiki Pro)",
					"slug": "nishiki-pro-shadow-lg",
					"shadow": "0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -4px rgba(0, 0, 0, 0.1)"
				},
				{
					"name": "XL(Nishiki Pro)",
					"slug": "nishiki-pro-shadow-xl",
					"shadow": "0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 8px 10px -6px rgba(0, 0, 0, 0.1)"
				},
				{
					"name": "2XL(Nishiki Pro)",
					"slug": "nishiki-pro-shadow-2xl",
					"shadow": "0 25px 50px -12px rgba(0, 0, 0, 0.25)"
				},
				{
					"name": "inner(Nishiki Pro)",
					"slug": "nishiki-pro-shadow-inner",
					"shadow": "inset 0 2px 4px 0 rgba(0, 0, 0, 0.05)"
				}
			]
		},
		"dimensions": {
            "dimensionSizes": [
                {
                    "name": "Small",
                    "slug": "small",
                    "size": "240px"
                },
                {
                    "name": "Medium",
                    "slug": "medium",
                    "size": "480px"
                },
                {
                    "name": "Large",
                    "slug": "large",
                    "size": "720px"
                }
            ]
        }
	},
	"styles":{
		"typography": {
			"fontFamily": "var(--nishiki-pro-font-family)"
		},
		"spacing": {
			"blockGap": "1.5rem",
			"padding": {
                "top": "0",
                "right": "1.5rem",
                "bottom": "0",
                "left": "1.5rem"
            }
		},
		"blocks": {
			"core/separator": {
				"border": {
					"width": "1px 0 0 0"
				}
			},
			"core/cover": {
				"spacing": {
					"padding": {
						"left": "var(--wp--style--root--padding-left)",
						"right": "var(--wp--style--root--padding-right)"
					}
				}
			},
			"core/term-template": {
				"css": "& .wp-block-term > .wp-block-group{ gap:0.5rem; }"
			}
		}
	}
}
